#
# spec file for package libspectre (Version 0.2.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Url:            http://libspectre.freedesktop.org/wiki/

Name:           libspectre
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Summary:        Library for Rendering PostScript Documents
Version:        0.2.2
Release:        1
Source0:        %name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define debug_package_requires libspectre1 = %{version}-%{release}
BuildRequires:  ghostscript-devel ghostscript-library

%description
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.



Authors:
--------
    Albert Astals Cid <aacid@kde.org>
    Carlos Garcia Campos <carlosgc@gnome.org>

%package -n libspectre1
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Summary:        Library for Rendering PostScript Documents

%description -n libspectre1
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.



Authors:
--------
    Albert Astals Cid <aacid@kde.org>
    Carlos Garcia Campos <carlosgc@gnome.org>

%package -n libspectre-devel
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Summary:        Library for Rendering PostScript Documents
Requires:       libspectre1 >= %version
%requires_eq ghostscript-devel

%description -n libspectre-devel
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.



Authors:
--------
    Albert Astals Cid <aacid@kde.org>
    Carlos Garcia Campos <carlosgc@gnome.org>

%prep
%setup -q

%build
# Update config.{guess,sub}
%{?suse_update_config}
export CFLAGS="$RPM_OPT_FLAGS"
%configure --disable-static --enable-shared
make %{?jobs:-j %jobs}

%install
%makeinstall

%post -n libspectre1 -p /sbin/ldconfig

%postun -n libspectre1 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n libspectre1
%defattr(-, root, root)
%_libdir/libspectre.so.1*

%files -n libspectre-devel
%defattr(-, root, root)
/usr/include/libspectre
%_libdir/libspectre.la
%_libdir/libspectre.so
%_libdir/pkgconfig/libspectre.pc

%changelog
* Thu Feb 05 2009 vuntz@novell.com
- Update to version 0.2.2:
  + A problem when rendering some documents where the page size is
  different from the Bounding Box has been fixed (fdo#18239)
  + Parser is now locale-independent when parsing float numbers
  (fdo#18685)
  + The display format has been fixed to match cairo/pixman.
  (fdo#18266)
* Wed Oct 22 2008 mrueckert@suse.de
- fix debug_packages_requires define
* Wed Oct 15 2008 stbinner@suse.de
- update to 0.2.1:
  * Fixes and improvements in the PostScript parser
  * Portability fixes
* Fri Aug 01 2008 ro@suse.de
- fix requires for debuginfo package
* Thu Apr 03 2008 dmueller@suse.de
- Initial package (0.2.0)
